# EditMediaMessage - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.edit.abstracts / EditMediaMessage

# EditMediaMessage

(common) `interface EditMediaMessage` (source)

### Properties

(common)

#### media

`abstract val media: InputMedia`

### Inheritors

(common)

#### EditChatMessageMedia

`data class EditChatMessageMedia : EditChatMessage<MediaContent>, EditReplyMessage, EditMediaMessage`

(common)

#### EditInlineMessageMedia

`data class EditInlineMessageMedia : EditInlineMessage, EditReplyMessage, EditMediaMessage`